import pygame
import os
import thermopi.surfaces as surfaces

SCREEN_SIZE = (720, 720)
DIAL_SIZE = int(min(SCREEN_SIZE[0], SCREEN_SIZE[1]) * 0.9)
FPS = 60
PI = 3.14159265
VALID_SURFACES = [
    'dial'
]

script_dir = os.path.dirname(os.path.abspath(__file__))


def main(windowed_mode):
    pygame.init()
    clock = pygame.time.Clock()
    if windowed_mode:
        window = pygame.display.set_mode(SCREEN_SIZE)
    else:
        window = pygame.display.set_mode(SCREEN_SIZE, pygame.FULLSCREEN)

    surface = getattr(globals()['surfaces'], 'dial').Surface(SCREEN_SIZE)
    running = True
    while running:
        clock.tick(FPS)

        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                running = False
            if event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    running = False

        window.blit(surface, surface.get_rect())

        if not surface.running:
            next_surface = surface.next_surface
            if next_surface not in VALID_SURFACES:
                raise Exception('Given surface is not a valid surface!')
            surface = getattr(globals()['surfaces'], next_surface).Surface(SCREEN_SIZE)

    pygame.quit()
